EDBROWSE-PLUGIN-ZIP(1)

NAME
edbrowse-plugin-zip - browse the contents of a zip archive in edbrowse

SYNOPSIS
edbrowse-plugin-zip zipfile[path]

DESCRIPTION
edbrowse-plugin-zip is a helper invoked by edbrowse(1) through the plugin config fragments installed in /usr/share/edbrowse/plugins. It is not normally run by hand.

Given a zip archive it writes an HTML directory listing to standard output, in which each member is an anchor whose URL is the archive followed by the path inside it. Following such a link runs the script again with that path appended, which extracts and emits the member, so an archive can be navigated as if it were a small web site. Paths are percent-encoded and HTML-escaped on the way out and decoded again on the way back in.

EXIT STATUS
Non-zero if called with other than exactly one argument, or if the archive cannot be read.

SEE ALSO
edbrowse(1), unzip(1)

AUTHOR
This manual page was written for the Debian distribution.